[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomGrid.ScrollBarPage

Updates the page size for the specified scroll bar.

## Declaration

Source position: grids.pas line 1180

`protected procedure TCustomGrid.ScrollBarPage(`
`Which: Integer;`
`aPage: Integer`
`);`

## Arguments

`Which` |  | Identifies the scroll bar affected in the method.
`aPage` |  | New value for the page size used on the proportional thumb bar.

## Description

Allocates and populates a TScrollInfo structure used to update the scroll information for the specified scroll bar(s). Calls the SetScrollInfo routine in the LCL interface to apply to the scroll information with the new page size.

No actions are performed in the method if the Handle has not been allocated for the grid control.

Which is an Integer argument that specifies the scroll bar(s) affected in the method, and can include the following constant values:

SB_HORZ
  Horizontal scroll bar
SB_VERT
  Vertical scroll bar
SB_BOTH
  Both horizontal and vertical scroll bars

Remark: | ScrollBarPage is not used in the current LCL implementation.